return {
  'linrongbin16/gitlinker.nvim',
  dependencies = {
    'nvim-lua/plenary.nvim'
  },
  config = function()
    require('gitlinker').setup({
      router = {
        browse = {
          -- example: ssh://git@git.viessmann.com:7999/sysfunc/efmclib.git
          ["^git%.viessmann%.com"] = "https://git.viessmann.com/projects/"
            .. "{_A.USER}/repos/"
            .. "{_A.REPO}/browse/"
            .. "{_A.FILE}"
            .. "#{_A.LSTART}"
            .. "{(_A.LEND > _A.LSTART and ('-' .. _A.LEND) or '')}",
        }
      },
      debug = true,
      file_log = true,
    })
  end,
  cmd = "GitLink"
}
